FreeMat

- Main Page
- Related Pages

vtkDefaultPass

Section: Visualization Toolkit Rendering Classes

# Usage

vtkDefaultPass implements the basic standard render passes of VTK. Subclasses can easily be implemented by reusing some parts of the basic implementation.

It implements classic Render operations as well as versions with property key checking.

This pass expects an initialized depth buffer and color buffer. Initialized buffers means they have been cleared with farest z-value and background color/gradient/transparent color.

To create an instance of class vtkDefaultPass, simply invoke its constructor as follows

      obj = vtkDefaultPass

# Methods

The class vtkDefaultPass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDefaultPass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDefaultPass = obj.NewInstance ()`
- `vtkDefaultPass = obj.SafeDownCast (vtkObject o)`